using System;
using Server;
using Server.Accounting;

namespace Server.Misc
{
	public class AccountPrompt
	{
		public static void Initialize()
		{
			if ( Accounts.Count == 0 && !Core.Service )
			{
				Console.WriteLine( "Bu sunucu hiçbir hesap içermiyor." );
				Console.Write( "Sahiplik hesabını şimdi oluşturmak ister misin? (y/n)" );

				if( Console.ReadKey( true ).Key == ConsoleKey.Y )
				{
					Console.WriteLine();

					Console.Write( "Kullanıcı Adı: " );
					string username = Console.ReadLine();

					Console.Write( "Şifre: " );
					string password = Console.ReadLine();

					Account a = new Account( username, password );
					a.AccessLevel = AccessLevel.Owner;

					Console.WriteLine( "Hesap yaratıldı." );
				}
				else
				{
					Console.WriteLine();

					Console.WriteLine( "Hesap oluşturulmadı." );
				}
			}
		}
	}
}